<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BotTestSwapInternal Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dda/class_bot_test_swap_internal.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BotTestSwapInternal Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BotTestSwapInternal:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/dda/class_bot_test_swap_internal.png" usemap="#BotTestSwapInternal_map" alt=""/>
  <map id="BotTestSwapInternal_map" name="BotTestSwapInternal_map">
<area href="../../d6/d45/class_bot_state_base.html" title="represent weapon state base" alt="BotStateBase" shape="rect" coords="0,0,126,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6ff4518c0c2973e66ed17e7aa55f59a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dda/class_bot_test_swap_internal.html#a6ff4518c0c2973e66ed17e7aa55f59a9">BotTestSwapInternal</a> (<a class="el" href="../../de/d69/class_bot.html">Bot</a> bot=NULL, <a class="el" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent=NULL)</td></tr>
<tr class="separator:a6ff4518c0c2973e66ed17e7aa55f59a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a276a4674b5bdcee205ce44be57f0ca33"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dda/class_bot_test_swap_internal.html#a276a4674b5bdcee205ce44be57f0ca33">OnEntry</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a276a4674b5bdcee205ce44be57f0ca33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2c45eb7b4f2b4d3584b9b80269d4e58"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dda/class_bot_test_swap_internal.html#ad2c45eb7b4f2b4d3584b9b80269d4e58">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:ad2c45eb7b4f2b4d3584b9b80269d4e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa35df84d767184cbdb0d1d0a09d668b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dda/class_bot_test_swap_internal.html#aa35df84d767184cbdb0d1d0a09d668b5">m_Entity1</a></td></tr>
<tr class="separator:aa35df84d767184cbdb0d1d0a09d668b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2222434fd7df562817de4b0fccc5af40"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dda/class_bot_test_swap_internal.html#a2222434fd7df562817de4b0fccc5af40">m_Entity2</a></td></tr>
<tr class="separator:a2222434fd7df562817de4b0fccc5af40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html#l00005">5</a> of file <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6ff4518c0c2973e66ed17e7aa55f59a9" name="a6ff4518c0c2973e66ed17e7aa55f59a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ff4518c0c2973e66ed17e7aa55f59a9">&#9670;&#160;</a></span>BotTestSwapInternal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BotTestSwapInternal::BotTestSwapInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d69/class_bot.html">Bot</a>&#160;</td>
          <td class="paramname"><em>bot</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a>&#160;</td>
          <td class="paramname"><em>parent</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html#l00010">10</a> of file <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a276a4674b5bdcee205ce44be57f0ca33" name="a276a4674b5bdcee205ce44be57f0ca33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a276a4674b5bdcee205ce44be57f0ca33">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotTestSwapInternal::OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html#l00013">13</a> of file <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a>.</p>

</div>
</div>
<a id="ad2c45eb7b4f2b4d3584b9b80269d4e58" name="ad2c45eb7b4f2b4d3584b9b80269d4e58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2c45eb7b4f2b4d3584b9b80269d4e58">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotTestSwapInternal::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html#l00022">22</a> of file <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa35df84d767184cbdb0d1d0a09d668b5" name="aa35df84d767184cbdb0d1d0a09d668b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa35df84d767184cbdb0d1d0a09d668b5">&#9670;&#160;</a></span>m_Entity1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> BotTestSwapInternal::m_Entity1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html#l00007">7</a> of file <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a>.</p>

</div>
</div>
<a id="a2222434fd7df562817de4b0fccc5af40" name="a2222434fd7df562817de4b0fccc5af40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2222434fd7df562817de4b0fccc5af40">&#9670;&#160;</a></span>m_Entity2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> BotTestSwapInternal::m_Entity2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html#l00008">8</a> of file <a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Systems/Bot/<a class="el" href="../../dc/d1e/_bot___tests_8c_source.html">Bot_Tests.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/dda/class_bot_test_swap_internal.html">BotTestSwapInternal</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
